variables:
  build-job.kind:default: project
  build-job.kind: ${next-value|${kind}}
  kind: ${next-value|${build-job.kind:default}}

  build-job.name:default: ${project-name}-${version-name}-${mode}-${distribution-name}
  build-job.name: ${next-value|${build-job-name}}
  build-job-name: ${next-value|${build-job.name:default}}

  build-job.disabled?: ${disable-jobs?}
  disable-jobs?: ${next-value|true}

  build-job.tags:
  - ${mode}
  - '@{next-value|[]}'
  - '@{natures|[]}'

jobs:
- name: main
  variables:
    job.tags:
    - architecture-dependent
    - unix
    - linux
    - '@{build-job.tags|[]}'
    make.binary: ${make.binary:unix|make}
